locator: SPRING
contexts:
  testContext:
    statistics: true
    executor:
        supplier: JAVA_STREAMS
    supplier:
    initializer:
    ackListener: logger
    graph:
#      exceptionHandler: defaultExceptionHandler
      nodes:
        - name: filtering
          concurrency: 3
          skippable: true
          processorSupplier: filter
#          exceptionHandler: defaultExceptionHandler
          filter:
          routeResolver:
        - name: transformation
          concurrency: 4
          processorSupplier: transformer
        - name: calculation
          processorSupplier: calculator
      dependencies:
        transformation:
          - filtering
        calculation:
          - transformation
